-----------------------------------------------------------------------
--                              Ada Labs                             --
--                                                                   --
--                 Copyright (C) 2008-2023, AdaCore                  --
--                                                                   --
-- This program is free software: you can redistribute it and/or     --
-- modify it under the terms of the GNU General Public License as    --
-- published by the Free Software Foundation, either version 3 of    --
-- the License, or (at your option) any later version.               --
--                                                                   --
-- This program is distributed in the hope that it will be useful,   --
-- but WITHOUT ANY WARRANTY; without even the implied warranty of    --
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     --
-- GNU General Public License for more details.                      --
--                                                                   --
-- You should have received a copy of the GNU General Public License --
-- along with this program.  If not, see                             --
-- <https://www.gnu.org/licenses/>.                                  --
-----------------------------------------------------------------------

with Ada.Real_Time; use Ada.Real_Time;
with Mage;          use Mage;
with Mage.Event;    use Mage.Event;
with Solar_System; use Solar_System;

procedure Packages_Main is

   Next : Time;

   Period : constant Time_Span := Milliseconds (40);

begin

   --  initialize the Next step time at the current time (Clock) + period
   Next := Clock + Period;

   while not Is_Killed loop

      for B in Solar_System.Bodies_Enum_T loop

         --  call the move procedure for each body
         Solar_System.Move (Bodies, B);
         Solar_System.Draw_Body (Bodies (B), Canvas);

      end loop;
      --  QUESTION 2
      --  Implement Draw_All in a *new* package Graphics of Solar_System

      Handle_Events (Window);

      delay until Next;
      Next := Next + Period;
   end loop;

end Packages_Main;
